#include <iostream.h>
 union IP
 {
	 int ip;
	 unsigned char s[4];//长度为4的字符数组
 };
  int main()
 {
  int m;
  IP r;
  cout<<"请输入IP地址："<<endl;
  cin>>m;//输入一个整数
  r.ip=m;
  cout<<"IP地址的点分十进制形式是："<<endl;
  for(int i=3;i>=0;i--)
  {
   cout<<(int)r.s[i];
   if(i!=0)
    cout<<"·";
  }
  return(0);
 }
	